<?php

namespace App\Filament\AssociationAdmin\Resources\AssociationOrderResource\Pages;

use App\Filament\AssociationAdmin\Resources\AssociationOrderResource;
use App\Filament\AssociationAdmin\Resources\AssociationOrderResource\Widgets\AssociationOrdersStatsOverview;
use Archilex\AdvancedTables\AdvancedTables;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;

class AssociationListOrders extends ListRecords
{
    use AdvancedTables;

    protected static string $resource = AssociationOrderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make(),
        ];
    }

    protected function getHeaderWidgets(): array
    {
        return [
            AssociationOrdersStatsOverview::class,
        ];
    }
}
